Status: Resolved Priority: Should have
Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2013-11-12 Assigned To:
Updated: 2013-11-12 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: sys_file.metadata does not use TCA type inline
Description

The field sys_file.metadata defines the TCA property "foreign_field" that is only defined for the TCA type "inline". Using "foreign_field"
with the select type does not make much sense, since select elements can be seen as m:n reference that is persisted with each
parent record and thus could have multiple parents.

Related issues:
precedes Core - Bug # 52630: PlaceHolder Feature in TCEforms only works on fi... Resolved 2013-11-13 2013-11-13

Associated revisions
Revision 0796c6d4 - 2013-11-12 16:35 - Oliver Hader

[BUGFIX] sys_file.metadata does not use TCA type inline

The field sys_file.metadata defines the TCA property
"foreign_field" that is only defined for the TCA type "inline".
Using "foreign_field" with the select type does not make much
sense, since select elements can be seen as m:n reference that
is persisted with each parent record and thus could have
multiple parents.

Fixes: #53567
Releases: 6.2
Change-Id: I2c8e12b6343275d7f38853ba25ac6a0427c13dbd
Reviewed-on: https://review.typo3.org/25320
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2013-11-12 16:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25320

#2 - 2013-11-12 17:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0796c6d4ba63b8ba4764a855bbbec7539c50b3e1.
